Bug 505609 - Volume control applet does not change master control
Volume control applet does not change master control
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 11:11 EDT by Craig Kelley
Modified: 2009-11-15 17:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-14 17:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig Kelley 2009-06-12 11:11:50 EDT
The slider popup for the volume control applet does not control the master mixer level, and appears to have no affect on any other mixer.  Opening up "Sound Preferences" by right-clicking on the applet and moving the "Output volume" slider works just fine.  gst-mixer works perfectly fine.  The old volume applet allowed me to select the primary mixer in its preferences, but this option appears to be missing now.

gnome-media-libs-2.26.0-6.fc11.i586
gnome-media-2.26.0-6.fc11.i586
pulseaudio-0.9.15-11.fc11.i586

There is this error from PulseAudio in syslog (although I don't think its a related issue):

Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c: snd_pcm_avail() returned a value that is exceptionally large: 4294962208 bytes (24347858 ms).
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c: snd_pcm_dump():
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c: Hardware PCM card 0 'Intel ICH6' device 0 subdevice 0
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c: Its setup is:
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   stream       : CAPTURE
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   access       : MMAP_INTERLEAVED
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   format       : S16_LE
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   subformat    : STD
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   channels     : 2
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   rate         : 44100
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   exact rate   : 44100 (44100/1)
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   msbits       : 16
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   buffer_size  : 16384
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   period_size  : 16384
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   period_time  : 371519
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   tstamp_mode  : ENABLE
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   period_step  : 1
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   avail_min    : 16384
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   period_event : 0
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   start_threshold  : -1
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   stop_threshold   : 1073741824
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   silence_threshold: 0
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   silence_size : 0
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   boundary     : 1073741824
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   appl_ptr     : 50428
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   hw_ptr       : 49156
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c: snd_pcm_delay() returned a value that is exceptionally large: -660024 bytes (-3741 ms).
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c: snd_pcm_dump():
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c: Hardware PCM card 0 'Intel ICH6' device 0 subdevice 0
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c: Its setup is:
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   stream       : CAPTURE
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   access       : MMAP_INTERLEAVED
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   format       : S16_LE
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   subformat    : STD
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   channels     : 2
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   rate         : 44100
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   exact rate   : 44100 (44100/1)
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   msbits       : 16
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   buffer_size  : 16384
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   period_size  : 16384
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   period_time  : 371519
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   tstamp_mode  : ENABLE
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   period_step  : 1
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   avail_min    : 16384
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   period_event : 0
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   start_threshold  : -1
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   stop_threshold   : 1073741824
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   silence_threshold: 0
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   silence_size : 0
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   boundary     : 1073741824
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   appl_ptr     : 214268
Jun 11 11:18:21 namonai pulseaudio[2202]: alsa-util.c:   hw_ptr       : 49262
Comment 1 Bastien Nocera 2009-06-12 11:21:05 EDT
The applet changes the PA volume, it knows nothing of Master, PCM or other such low-level details.
Comment 2 Jimmy Sapède 2009-06-17 00:27:39 EDT
in my case the applet changes not only the PA volume but also acts on the Master of the gst-mixer, they seem to be sttrangely coupled because when reaching 50% level of the PA volume, the Master in the gst-mixer reaches zero and i have no more sound.

Tried many solutions but impossible to decouple those controls from the applet
Comment 3 Craig Kelley 2009-06-17 10:46:30 EDT
Pulseaudio updates from yesterday fixed this issue for me.  Please close this bug.

As an aside:  It has a strange logarithmic scale though.  I hear no audio from "0" to about "50%", then it scales up to very loud from there to the slider being all the way up.  Also, I cannot change the volume with the mouse wheel like I used to be able to.  Hopefully this move to PulseAudio will have some kind of benefit in the future to make up for all this pain.  :-)
Comment 4 Craig Kelley 2009-06-17 10:49:43 EDT
Nevermind.  Rhythmbox spectacularly crashed and now the problem is back.  So, for some reason a user-space app crashing messes up the volume-control applet in gnome.
Comment 5 Lennart Poettering 2009-06-25 12:12:33 EDT
So, what's now the problem here? That PA doesn't control 'Master'?

PA provides the same mapping between the dB values of volume control and pixels on screen (i.e. percentages) on all machines, regardless what the hw exposes, that's why the percentage mapping in pa and in alsamixer differ.
Comment 6 Jimmy Sapède 2009-06-25 14:10:56 EDT
the problem is not that PA and alsamixer differ,, the proble is acting on the "pixels" not only acts on the dB value of PA but also acts at the same time on the master of the alsamixer. 

if you open both PA and alsamixer gui yo'ull see that acting on th PA level also moves the cursor of the master in the alsamixer and when you reach about 50% of PA, the master of the alsamixer reaches 0 !
Comment 7 Lennart Poettering 2009-06-29 08:07:24 EDT
PA's and ALSA's scales differ.

PA exposes the same pixel ("percentage") to dB mapping on its sliders on all devices. Low-level ALSA does not do that.

If you compare ALSA and PA volume scales then please go by the dB scale, not by the percentage scale. But even that often differs by some fixed value, because PA always shifts maximum analog amplification to 0dB.
Comment 8 Craig Kelley 2009-06-29 10:42:52 EDT
That's all nice and wonderful, but how can I get the volume applet to work again?  I suppose the bug could be in my imagination, but under Fedora 10 it worked, and now it doesn't.
Comment 9 Jimmy Sapède 2009-06-29 12:03:37 EDT
i tried to kill pulseaudio and restart it and i got strange error message with incompatible dB level, perhaps the source of misfunction :

[jimmy@Fedora ~]$ pulseaudio
W: alsa-source.c: Your kernel driver is broken: it reports a volume range from 18,00 dB to 18,00 dB which makes no sense.

like craig said, it xorked on fedora 10 and its broken since upgrade to FC11. Maybe the bug is mislabelled but it exist !
Comment 10 Lennart Poettering 2009-06-29 14:27:56 EDT
Oh man. Please guys, let's keep seperate issues seperate. I closed this bug because of Jimmy's comments. Jimmy, please open a seperate bug report.

Craig, please explain again waht the problem is here, thanks.
Comment 11 Craig Kelley 2009-06-29 16:25:55 EDT
After a reboot, everything works perfectly.  I'll set Rhythmbox to play, and sooner or later it will crash with a GNOME bug report dialog.  After that point, the volume-control applet will no longer control the volume at all; I have to right-click and open the Sound Preferences and adjust the Output volume.  I've found that if I configure Rhythmbox to use the "Crossfading backend", it will not crash, and the problem will never surface.  So, something about Rhythmbox crashing will take our the volume control applet with it.
Comment 12 Lennart Poettering 2009-07-27 19:21:57 EDT
This sounds as if PA is terminating itself due to CPU overload, probably caused by a driver bug. Could you please run PA in a terminal as "pulseaudio -vvvvv" and then reproduce the issue (might need to kill the running pa instance first with pulseaudio -k). Then, please paste the final 50 lines or the when the problem happens here.
Comment 13 Lennart Poettering 2009-10-14 17:54:53 EDT
Closing due to lack of response.
Comment 14 Leonidas Georgopoulos 2009-10-14 18:45:20 EDT
Em, lack of response? You have not designated what info you require.

please designate.
Comment 15 Lennart Poettering 2009-10-15 18:05:34 EDT
Quoting myself: "Could you please run PA in a terminal as "pulseaudio -vvvvv"
and then reproduce the issue (might need to kill the running pa instance first
with pulseaudio -k). Then, please paste the final 50 lines or the when the
problem happens here."

If you, Craig, can provide that data, feel free to reopen.
Comment 16 Craig Kelley 2009-10-15 18:14:41 EDT
Apologies;  I've moved over to Ubuntu 9.04, which although it also uses PulseAudio, does not have this issue.  Otherwise, I would be happy to have supplied the debug data.
Comment 17 Leonidas Georgopoulos 2009-10-18 07:17:05 EDT
I: sink.c:     device.string = "front:0"
I: sink.c:     device.buffering.buffer_size = "352768"
I: sink.c:     device.buffering.fragment_size = "176384"
I: sink.c:     device.access_mode = "mmap+timer"
I: sink.c:     device.profile.name = "analog-stereo"
I: sink.c:     device.profile.description = "Analog Stereo"
I: sink.c:     device.description = "Internal Audio"
I: sink.c:     device.icon_name = "audio-card-pci"
I: module-device-restore.c: Restoring volume for source alsa_output.pci_8086_284b_sound_card_0.monitor.
I: module-device-restore.c: Restoring mute state for source alsa_output.pci_8086_284b_sound_card_0.monitor.
I: source.c: Created source 0 "alsa_output.pci_8086_284b_sound_card_0.monitor" with sample spec s16le 2ch 44100Hz and channel map front-left,front-right
I: source.c:     device.description = "Monitor of Internal Audio"
I: source.c:     device.class = "monitor"
I: source.c:     alsa.card = "0"
I: source.c:     alsa.card_name = "HDA Intel"
I: source.c:     alsa.long_card_name = "HDA Intel at 0xfe220000 irq 17"
I: source.c:     alsa.driver_name = "snd_hda_intel"
I: source.c:     device.bus = "pci"
I: source.c:     device.vendor.id = "8086"
I: source.c:     device.vendor.name = "Intel Corporation"
I: source.c:     device.product.id = "284b"
I: source.c:     device.product.name = "82801H (ICH8 Family) HD Audio Controller"
I: source.c:     device.form_factor = "internal"
I: source.c:     device.bus_path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"
I: source.c:     hal.udi = "/org/freedesktop/Hal/devices/pci_8086_284b_sound_card_0"
I: source.c:     hal.product = "HDA Intel Sound Card"
I: source.c:     hal.card_id = "HDA Intel"
I: source.c:     device.string = "0"
I: source.c:     device.icon_name = "audio-card-pci"
I: alsa-sink.c: Using 2 fragments of size 176384 bytes, buffer time is 1999.82ms
I: alsa-sink.c: Time scheduling watermark is 20.00ms
D: alsa-sink.c: Latency set to 250.00ms
D: alsa-sink.c: hwbuf_unused=308668
D: alsa-sink.c: setting avail_min=87311
I: alsa-sink.c: Volume ranges from 0 to 39.
I: alsa-sink.c: Volume ranges from -58.50 dB to 0.00 dB.
I: alsa-sink.c: No particular base volume set, fixing to 0 dB
I: alsa-util.c: ALSA device lacks independant volume controls for each channel.
I: alsa-sink.c: Using hardware volume control. Hardware dB scale supported.
D: alsa-util.c: snd_pcm_dump():
D: alsa-util.c: Hardware PCM card 0 'HDA Intel' device 0 subdevice 0
D: alsa-util.c: Its setup is:
D: alsa-util.c:   stream       : PLAYBACK
D: alsa-util.c:   access       : MMAP_INTERLEAVED
D: alsa-util.c:   format       : S16_LE
D: alsa-util.c:   subformat    : STD
D: alsa-util.c:   channels     : 2
D: alsa-util.c:   rate         : 44100
D: alsa-util.c:   exact rate   : 44100 (44100/1)
D: alsa-util.c:   msbits       : 16
D: alsa-util.c:   buffer_size  : 88192
D: alsa-util.c:   period_size  : 44096
D: alsa-util.c:   period_time  : 999909
D: alsa-util.c:   tstamp_mode  : ENABLE
D: alsa-util.c:   period_step  : 1
D: alsa-util.c:   avail_min    : 87311
D: alsa-util.c:   period_event : 0
D: alsa-util.c:   start_threshold  : -1
D: alsa-util.c:   stop_threshold   : 1444937728
D: alsa-util.c:   silence_threshold: 0
D: alsa-util.c:   silence_size : 0
D: alsa-util.c:   boundary     : 1444937728
D: alsa-util.c:   appl_ptr     : 0
D: alsa-util.c:   hw_ptr       : 0
D: alsa-sink.c: Thread starting up
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+29
D: alsa-sink.c: Requested volume: 0:  65% 1:  65%
D: alsa-sink.c: Got hardware volume: 0:  66% 1:  66%
D: alsa-sink.c: Calculated software volume: 0:  98% 1:  98%
I: alsa-sink.c: Starting playback.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-util.c: Trying front:0 with SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Managed to open front:0
D: alsa-util.c: Maximum hw buffer size is 23777 ms
I: alsa-source.c: Successfully opened device front:0.
I: alsa-source.c: Selected configuration 'Analog Stereo' (analog-stereo).
I: alsa-source.c: Successfully enabled mmap() mode.
I: alsa-source.c: Successfully enabled timer-based scheduling mode.
I: (alsa-lib)control.c: Invalid CTL front:0
I: alsa-util.c: Unable to attach to mixer front:0: No such file or directory
I: alsa-util.c: Successfully attached to mixer 'hw:0'
I: alsa-util.c: Using mixer control "Capture".
I: module-device-restore.c: Restoring volume for source alsa_input.pci_8086_284b_sound_card_0.
I: module-device-restore.c: Restoring mute state for source alsa_input.pci_8086_284b_sound_card_0.
I: source.c: Created source 1 "alsa_input.pci_8086_284b_sound_card_0" with sample spec s16le 2ch 44100Hz and channel map front-left,front-right
I: source.c:     alsa.resolution_bits = "16"
I: source.c:     alsa.mixer_element = "Capture"
I: source.c:     device.api = "alsa"
I: source.c:     device.class = "sound"
I: source.c:     alsa.class = "generic"
I: source.c:     alsa.subclass = "generic-mix"
I: source.c:     alsa.name = "AD198x Analog"
I: source.c:     alsa.id = "AD198x Analog"
I: source.c:     alsa.subdevice = "0"
I: source.c:     alsa.subdevice_name = "subdevice #0"
I: source.c:     alsa.device = "0"
I: source.c:     alsa.card = "0"
I: source.c:     alsa.card_name = "HDA Intel"
I: source.c:     alsa.long_card_name = "HDA Intel at 0xfe220000 irq 17"
I: source.c:     alsa.driver_name = "snd_hda_intel"
I: source.c:     device.bus = "pci"
I: source.c:     device.vendor.id = "8086"
I: source.c:     device.vendor.name = "Intel Corporation"
I: source.c:     device.product.id = "284b"
I: source.c:     device.product.name = "82801H (ICH8 Family) HD Audio Controller"
I: source.c:     device.form_factor = "internal"
I: source.c:     device.bus_path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"
I: source.c:     hal.udi = "/org/freedesktop/Hal/devices/pci_8086_284b_sound_card_0"
I: source.c:     hal.product = "HDA Intel Sound Card"
I: source.c:     hal.card_id = "HDA Intel"
I: source.c:     device.string = "front:0"
I: source.c:     device.buffering.buffer_size = "352768"
I: source.c:     device.buffering.fragment_size = "176384"
I: source.c:     device.access_mode = "mmap+timer"
I: source.c:     device.profile.name = "analog-stereo"
I: source.c:     device.profile.description = "Analog Stereo"
I: source.c:     device.description = "Internal Audio"
I: source.c:     device.icon_name = "audio-card-pci"
I: alsa-source.c: Using 2 fragments of size 176384 bytes, buffer time is 1999.82ms
I: alsa-source.c: Time scheduling watermark is 20.00ms
D: alsa-source.c: hwbuf_unused=0
D: alsa-source.c: setting avail_min=87310
I: alsa-source.c: Volume ranges from 0 to 54.
I: alsa-source.c: Volume ranges from -58.50 dB to 22.50 dB.
I: alsa-source.c: Fixing base volume to -22.50 dB
I: alsa-util.c: All 2 channels can be mapped to mixer channels.
I: alsa-source.c: Using hardware volume control. Hardware dB scale supported.
D: alsa-util.c: snd_pcm_dump():
D: alsa-util.c: Hardware PCM card 0 'HDA Intel' device 0 subdevice 0
D: alsa-util.c: Its setup is:
D: alsa-util.c:   stream       : CAPTURE
D: alsa-util.c:   access       : MMAP_INTERLEAVED
D: alsa-util.c:   format       : S16_LE
D: alsa-util.c:   subformat    : STD
D: alsa-util.c:   channels     : 2
D: alsa-util.c:   rate         : 44100
D: alsa-util.c:   exact rate   : 44100 (44100/1)
D: alsa-util.c:   msbits       : 16
D: alsa-util.c:   buffer_size  : 88192
D: alsa-util.c:   period_size  : 44096
D: alsa-util.c:   period_time  : 999909
D: alsa-util.c:   tstamp_mode  : ENABLE
D: alsa-util.c:   period_step  : 1
D: alsa-util.c:   avail_min    : 87310
D: alsa-util.c:   period_event : 0
D: alsa-util.c:   start_threshold  : -1
D: alsa-util.c:   stop_threshold   : 1444937728
D: alsa-util.c:   silence_threshold: 0
D: alsa-util.c:   silence_size : 0
D: alsa-util.c:   boundary     : 1444937728
D: alsa-util.c:   appl_ptr     : 0
D: alsa-util.c:   hw_ptr       : 0
D: alsa-source.c: Requested volume: 0:  90% 1:  90%
D: alsa-source.c: Got hardware volume: 0:  91% 1:  91%
D: alsa-source.c: Calculated software volume: 0:  98% 1:  98%
D: alsa-source.c: Thread starting up
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+28
I: module.c: Loaded "module-alsa-card" (index: #4; argument: "device_id=0 name=pci_8086_284b_sound_card_0 card_name=alsa_card.pci_8086_284b_sound_card_0 tsched=1").
D: module-hal-detect.c: Loaded device /org/freedesktop/Hal/devices/pci_8086_284b_sound_card_0_alsa_control__1
I: module-hal-detect.c: Loaded 1 modules.
I: module.c: Loaded "module-hal-detect" (index: #5; argument: "").
D: cli-command.c: Checking for existance of '/usr/lib/pulse-0.9.15/modules/module-bluetooth-discover.so': success
D: module-hal-detect.c: dbus: interface=org.freedesktop.DBus, path=/org/freedesktop/DBus, member=NameAcquired
D: bluetooth-util.c: dbus: interface=org.freedesktop.DBus, path=/org/freedesktop/DBus, member=NameAcquired
I: module.c: Loaded "module-bluetooth-discover" (index: #6; argument: "").
D: cli-command.c: Checking for existance of '/usr/lib/pulse-0.9.15/modules/module-esound-protocol-unix.so': success
I: module.c: Loaded "module-esound-protocol-unix" (index: #7; argument: "").
I: module.c: Loaded "module-native-protocol-unix" (index: #8; argument: "").
D: cli-command.c: Checking for existance of '/usr/lib/pulse-0.9.15/modules/module-gconf.so': success
I: module.c: Loaded "module-gconf" (index: #9; argument: "").
I: module-default-device-restore.c: Restored default sink 'alsa_output.pci_8086_284b_sound_card_0'.
D: core-subscribe.c: Dropped redundant event due to change event.
I: module-default-device-restore.c: Restored default source 'alsa_input.pci_8086_284b_sound_card_0'.
I: module.c: Loaded "module-default-device-restore" (index: #10; argument: "").
I: module.c: Loaded "module-rescue-streams" (index: #11; argument: "").
I: module.c: Loaded "module-always-sink" (index: #12; argument: "").
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_sound_card_0 becomes idle.
D: module-suspend-on-idle.c: Source alsa_input.pci_8086_284b_sound_card_0 becomes idle.
I: module.c: Loaded "module-suspend-on-idle" (index: #13; argument: "timeout=90").
I: client.c: Created 0 "ConsoleKit Session /org/freedesktop/ConsoleKit/Session2"
D: module-console-kit.c: Added new session /org/freedesktop/ConsoleKit/Session2
I: module.c: Loaded "module-console-kit" (index: #14; argument: "").
I: module.c: Loaded "module-position-event-sounds" (index: #15; argument: "").
I: module.c: Loaded "module-cork-music-on-phone" (index: #16; argument: "").
D: main.c: Got org.pulseaudio.Server!
I: main.c: Daemon startup complete.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
I: client.c: Created 1 "Native client (UNIX socket client)"
D: protocol-native.c: Protocol version: remote 15, local 15
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
D: protocol-native.c: SHM possible: yes
D: protocol-native.c: Negotiated SHM: yes
D: module-augment-properties.c: Looking for .desktop file for gnome-settings-daemon
I: client.c: Created 2 "Native client (UNIX socket client)"
D: protocol-native.c: Protocol version: remote 15, local 15
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
D: protocol-native.c: SHM possible: yes
D: protocol-native.c: Negotiated SHM: yes
D: module-augment-properties.c: Looking for .desktop file for gnome-volume-control-applet
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0, member=PropertyModified
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0, member=PropertyModified
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0, member=PropertyModified
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: alsa-sink.c: Requested volume: 0:  60% 1:  60%
D: alsa-sink.c: Got hardware volume: 0:  61% 1:  61%
D: alsa-sink.c: Calculated software volume: 0:  98% 1:  98%
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 40540 bytes.
D: alsa-sink.c: before: 10135
D: alsa-sink.c: after: 10135
D: alsa-sink.c: Rewound 40540 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_284b_sound_card_0.
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: alsa-sink.c: Requested volume: 0:  55% 1:  55%
D: alsa-sink.c: Got hardware volume: 0:  56% 1:  56%
D: alsa-sink.c: Calculated software volume: 0:  98% 1:  98%
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 40572 bytes.
D: alsa-sink.c: before: 10143
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_284b_sound_card_0.
D: alsa-sink.c: after: 10143
D: alsa-sink.c: Rewound 40572 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: alsa-sink.c: Requested volume: 0:  50% 1:  50%
D: alsa-sink.c: Got hardware volume: 0:  51% 1:  51%
D: alsa-sink.c: Calculated software volume: 0:  98% 1:  98%
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 40572 bytes.
D: alsa-sink.c: before: 10143
D: alsa-sink.c: after: 10143
D: alsa-sink.c: Rewound 40572 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_284b_sound_card_0.
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: alsa-sink.c: Requested volume: 0:  45% 1:  45%
D: alsa-sink.c: Got hardware volume: 0:  46% 1:  46%
D: alsa-sink.c: Calculated software volume: 0:  98% 1:  98%
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 40572 bytes.
D: alsa-sink.c: before: 10143
D: alsa-sink.c: after: 10143
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_284b_sound_card_0.
D: alsa-sink.c: Rewound 40572 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: alsa-sink.c: Requested volume: 0:  40% 1:  40%
D: alsa-sink.c: Got hardware volume: 0:  41% 1:  41%
D: alsa-sink.c: Calculated software volume: 0:  98% 1:  98%
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_284b_sound_card_0.
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: alsa-sink.c: Requested volume: 0:  35% 1:  35%
D: alsa-sink.c: Got hardware volume: 0:  36% 1:  36%
D: alsa-sink.c: Calculated software volume: 0:  98% 1:  98%
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 40540 bytes.
D: alsa-sink.c: before: 10135
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_284b_sound_card_0.
D: alsa-sink.c: after: 10135
D: alsa-sink.c: Rewound 40540 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: alsa-sink.c: Requested volume: 0:  30% 1:  30%
D: alsa-sink.c: Got hardware volume: 0:  35% 1:  35%
D: alsa-sink.c: Calculated software volume: 0:  95% 1:  95%
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 40540 bytes.
D: alsa-sink.c: before: 10135
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_284b_sound_card_0.
D: alsa-sink.c: after: 10135
D: alsa-sink.c: Rewound 40540 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: alsa-sink.c: Requested volume: 0:  25% 1:  25%
D: alsa-sink.c: Got hardware volume: 0:  35% 1:  35%
D: alsa-sink.c: Calculated software volume: 0:  90% 1:  90%
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 40540 bytes.
D: alsa-sink.c: before: 10135
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_284b_sound_card_0.
D: alsa-sink.c: after: 10135
D: alsa-sink.c: Rewound 40540 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: alsa-sink.c: Requested volume: 0:  20% 1:  20%
D: alsa-sink.c: Got hardware volume: 0:  35% 1:  35%
D: alsa-sink.c: Calculated software volume: 0:  85% 1:  85%
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 40572 bytes.
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_284b_sound_card_0.
D: alsa-sink.c: before: 10143
D: alsa-sink.c: after: 10143
D: alsa-sink.c: Rewound 40572 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: alsa-sink.c: Requested volume: 0:  15% 1:  15%
D: alsa-sink.c: Got hardware volume: 0:  35% 1:  35%
D: alsa-sink.c: Calculated software volume: 0:  80% 1:  80%
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 40540 bytes.
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_284b_sound_card_0.
D: alsa-sink.c: before: 10135
D: alsa-sink.c: after: 10135
D: alsa-sink.c: Rewound 40540 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: alsa-sink.c: Requested volume: 0:  10% 1:  10%
D: alsa-sink.c: Got hardware volume: 0:  35% 1:  35%
D: alsa-sink.c: Calculated software volume: 0:  75% 1:  75%
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 40572 bytes.
D: alsa-sink.c: before: 10143
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_284b_sound_card_0.
D: alsa-sink.c: after: 10143
D: alsa-sink.c: Rewound 40572 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: alsa-sink.c: Requested volume: 0:   5% 1:   5%
D: alsa-sink.c: Got hardware volume: 0:  35% 1:  35%
D: alsa-sink.c: Calculated software volume: 0:  70% 1:  70%
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 40540 bytes.
D: alsa-sink.c: before: 10135
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_284b_sound_card_0.
D: alsa-sink.c: after: 10135
D: alsa-sink.c: Rewound 40540 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: bluetooth-util.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: module-console-kit.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input, member=Condition
D: alsa-sink.c: Requested volume: 0:   0% 1:   0%
D: alsa-sink.c: Got hardware volume: 0:  35% 1:  35%
D: alsa-sink.c: Calculated software volume: 0:  65% 1:  65%
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 40540 bytes.
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_284b_sound_card_0.
D: alsa-sink.c: before: 10135
D: alsa-sink.c: after: 10135
D: alsa-sink.c: Rewound 40540 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
^CI: main.c: Got signal SIGINT.
I: main.c: Exiting.
Comment 18 Leonidas Georgopoulos 2009-11-15 12:59:46 EST
I do not see what is the additional data and why does this bug still remain closed. DATA was submitted. If more data is required please let me know.
Comment 19 Bastien Nocera 2009-11-15 14:02:36 EST
(In reply to comment #18)
> I do not see what is the additional data and why does this bug still remain
> closed. DATA was submitted. If more data is required please let me know.  

Because the original reporter can't provide the data. File a bug of your own for your problems.
Comment 20 Leonidas Georgopoulos 2009-11-15 17:26:26 EST
:)  I'll copy paste but this is just pure bureaucracy.

Note You need to log in before you can comment on or make changes to this bug.